<?php
/**
 * NumbersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * NumbersApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class NumbersApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for buyDedicatedNumber
     *
     * Buy a dedicated number and assign it to the specified account..
     *
     */
    public function testBuyDedicatedNumber()
    {
    }

    /**
     * Test case for deleteDedicatedNumber
     *
     * Cancel dedicated number subscription..
     *
     */
    public function testDeleteDedicatedNumber()
    {
    }

    /**
     * Test case for deleteSenderId
     *
     * Delete a Sender ID..
     *
     */
    public function testDeleteSenderId()
    {
    }

    /**
     * Test case for getAvailableDedicatedNumbers
     *
     * Find available dedicated numbers to buy..
     *
     */
    public function testGetAvailableDedicatedNumbers()
    {
    }

    /**
     * Test case for getDedicatedNumber
     *
     * Get a single dedicated number..
     *
     */
    public function testGetDedicatedNumber()
    {
    }

    /**
     * Test case for getSenderId
     *
     * Get a single Sender ID..
     *
     */
    public function testGetSenderId()
    {
    }

    /**
     * Test case for getSenderIds
     *
     * Get all sender IDs of current user..
     *
     */
    public function testGetSenderIds()
    {
    }

    /**
     * Test case for getSenderSettings
     *
     * Get current user sender settings..
     *
     */
    public function testGetSenderSettings()
    {
    }

    /**
     * Test case for getUserDedicatedNumbers
     *
     * Get user's dedicated numbers..
     *
     */
    public function testGetUserDedicatedNumbers()
    {
    }

    /**
     * Test case for requestSenderId
     *
     * Request for a new Sender ID..
     *
     */
    public function testRequestSenderId()
    {
    }

    /**
     * Test case for updateSenderSetting
     *
     * Change sender settings for specified country..
     *
     */
    public function testUpdateSenderSetting()
    {
    }
}
